Bug 24377 - Red Hat logo disappears after switching VT
Red Hat logo disappears after switching VT
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-19 12:49 EST by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 20:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2001-01-19 12:49:15 EST
With GUI login using gdm, Red Hat logo at the upper left
hand corner disappears after switching VT.
Comment 1 Red Hat Bugzilla 2001-01-19 16:54:25 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Red Hat Bugzilla 2001-01-19 17:14:07 EST
This requires significant engineering to fix, I don't think it's worth it,
should not be mustfix IMHO.
Comment 3 Red Hat Bugzilla 2001-01-19 17:26:30 EST
Based on developer input, this defect is no longer classified MUST-FIX for any
Florence milestone.
Comment 4 Red Hat Bugzilla 2001-02-01 02:46:36 EST
IMO, this is a bug in xsri which just overlays the logo to the background but
takes no measures to ensure that X considers this a background pixmap. I tried
to fix it, but to no avail (this really is a scary piece of code).

Maybe one should rip some code from GNOME control-center/
background-properties-capplet (namely the embossing part with some mods?) or
either (#1) tweak xsri to do it a better way (should be simple, mem intensive):

- get background as pixmap
- overlay logo in memory
- replace background pixmap

or (more complicated, not with xsri) write small tool that takes similar options
to xsri and roughly does this (#2):

- sample rectangle of background into pixmap
- overlay logo in memory
- create borderless window (low layer) containing modified pixmap at the right
  place
- fork child, that exit()s when window is destroyed (does its window get
  destroyed when the session starts?)
- parent _exit()s

I tried #1 and failed (there's a reason why I call xsri scary...) and I agree
with Havoc that something like #2 needs a lot of work to be put into it (I'm
sure that even my short description contains errors).
Comment 5 Red Hat Bugzilla 2002-12-19 20:44:27 EST
Wow, this bug should have been closed a long time ago. ;-)

Note You need to log in before you can comment on or make changes to this bug.